# Class MultiPoint

java.lang.Object
org.mariadb.jdbc.type.MultiPoint

All Implemented Interfaces:
  `Geometry`

public class MultiPoint extends Object implements Geometry
Multi-point

## Constructor Summary

Constructors
Constructor
Description
`MultiPoint(Point[] points)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`Point[]`
`getPoints()`
Get points
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MultiPoint

public MultiPoint(Point[] points)
Constructor

Parameters:
  `points` - points

## Method Details

### getPoints

public Point[] getPoints()
Get points

Returns:
  points

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`